
package com.google.api.ads.adwords.jaxws.v201209.video;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for VideoAdError.Reason.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="VideoAdError.Reason">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="UNKNOWN"/>
 *     &lt;enumeration value="INVALID_FORMAT"/>
 *     &lt;enumeration value="INVALID_INPUT"/>
 *     &lt;enumeration value="URL_INVALID_TOP_LEVEL_DOMAIN"/>
 *     &lt;enumeration value="URL_MALFORMED"/>
 *     &lt;enumeration value="URL_NO_HOST"/>
 *     &lt;enumeration value="URL_NO_SCHEME"/>
 *     &lt;enumeration value="TOO_LONG"/>
 *     &lt;enumeration value="LINE_TOO_WIDE"/>
 *     &lt;enumeration value="INVALID_IMAGE_MEDIA_ID"/>
 *     &lt;enumeration value="INVALID_COMPANION_BANNER_IMAGE_TYPE"/>
 *     &lt;enumeration value="TOO_MANY_TARGETING_GROUP_ASSOCIATIONS"/>
 *     &lt;enumeration value="TOO_MANY_VIDEO_ADS_PER_CUSTOMER"/>
 *     &lt;enumeration value="TOO_MANY_VIDEO_ADS_PER_CAMPAIGN"/>
 *     &lt;enumeration value="CANNOT_OPERATE_ON_DELETED_AD"/>
 *     &lt;enumeration value="UNSUPPORTED_SCOPE_STATUS"/>
 *     &lt;enumeration value="NO_SCOPE_STATUSES_SPECIFIED"/>
 *     &lt;enumeration value="TARGETING_GROUP_FROM_DIFFERENT_CAMPAIGN"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "VideoAdError.Reason")
@XmlEnum
public enum VideoAdErrorReason {

    UNKNOWN,

    /**
     * 
     *                 The structure of the input didn't match an expected pattern.
     *               
     * 
     */
    INVALID_FORMAT,
    INVALID_INPUT,

    /**
     * 
     *                 URL ends with an invalid top-level domain name.
     *               
     * 
     */
    URL_INVALID_TOP_LEVEL_DOMAIN,

    /**
     * 
     *                 URL contains illegal characters.
     *               
     * 
     */
    URL_MALFORMED,

    /**
     * 
     *                 URL must contain a host name.
     *               
     * 
     */
    URL_NO_HOST,

    /**
     * 
     *                 URL must start with a scheme.
     *               
     * 
     */
    URL_NO_SCHEME,

    /**
     * 
     *                 The string has too many characters.
     *               
     * 
     */
    TOO_LONG,

    /**
     * 
     *                 After substituting replacement strings, the line is too wide.
     *               
     * 
     */
    LINE_TOO_WIDE,

    /**
     * 
     *                 Image field has null or invalid media id.
     *               
     * 
     */
    INVALID_IMAGE_MEDIA_ID,

    /**
     * 
     *                 Companion banner image object must be of type MEDIA.
     *               
     * 
     */
    INVALID_COMPANION_BANNER_IMAGE_TYPE,

    /**
     * 
     *                 This operation will result in the video ad having more than the maximum
     *                 number of allowed targeting group associations.
     *               
     * 
     */
    TOO_MANY_TARGETING_GROUP_ASSOCIATIONS,

    /**
     * 
     *                 This operation will result in the video ad having more than the maximum
     *                 number of allowed video ads per customer.
     *               
     * 
     */
    TOO_MANY_VIDEO_ADS_PER_CUSTOMER,

    /**
     * 
     *                 This operation will result in the video ad having more than the maximum
     *                 number of allowed video ads in each campaign.
     *               
     * 
     */
    TOO_MANY_VIDEO_ADS_PER_CAMPAIGN,

    /**
     * 
     *                 The client is attempting to do a SET on an already-deleted ad;
     *                 no modifications are allowed to deleted ads.
     *               
     * 
     */
    CANNOT_OPERATE_ON_DELETED_AD,

    /**
     * 
     *                 The client is attempting to set a scope status to something other than
     *                 ENABLED or PAUSED.
     *               
     * 
     */
    UNSUPPORTED_SCOPE_STATUS,

    /**
     * 
     *                 The client must specify at least one targeting scope status when
     *                 create a new ad.
     *               
     * 
     */
    NO_SCOPE_STATUSES_SPECIFIED,

    /**
     * 
     *                 Cannot associate an ad to a targeting group from a different campaign.
     *               
     * 
     */
    TARGETING_GROUP_FROM_DIFFERENT_CAMPAIGN;

    public String value() {
        return name();
    }

    public static VideoAdErrorReason fromValue(String v) {
        return valueOf(v);
    }

}
