
package com.google.api.ads.adwords.jaxws.v201302.cm;

import java.util.List;
import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebResult;
import javax.jws.WebService;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.ws.RequestWrapper;
import javax.xml.ws.ResponseWrapper;


/**
 * 
 *       Use this service to manage media for your ads. For example:
 *       <ul>
 *       <li>Upload new images for <a
 *       href="CampaignAdExtensionService.LocationExtension.html">location
 *       extensions</a>.</li>
 *       <li>Get the IDs of videos you want to use in
 *       {@linkplain TemplateAd template ads}.</li>
 *       </ul>
 *     
 * 
 * This class was generated by the JAX-WS RI.
 * JAX-WS RI 2.2.4-b01
 * Generated source version: 2.2
 * 
 */
@WebService(name = "MediaServiceInterface", targetNamespace = "https://adwords.google.com/api/adwords/cm/v201302")
@XmlSeeAlso({
    ObjectFactory.class
})
public interface MediaServiceInterface {


    /**
     * 
     *         Returns a list of media that meet the criteria specified by the selector.
     *         <p class="note"><b>Note:</b> {@code MediaService} will not return any
     *         {@link ImageAd} image files.</p>
     *         
     *         @param serviceSelector Selects which media objects to return.
     *         @return A list of {@code Media} objects.
     *       
     * 
     * @param serviceSelector
     * @return
     *     returns com.google.api.ads.adwords.jaxws.v201302.cm.MediaPage
     * @throws ApiException_Exception
     */
    @WebMethod
    @WebResult(name = "rval", targetNamespace = "https://adwords.google.com/api/adwords/cm/v201302")
    @RequestWrapper(localName = "get", targetNamespace = "https://adwords.google.com/api/adwords/cm/v201302", className = "com.google.api.ads.adwords.jaxws.v201302.cm.MediaServiceInterfaceget")
    @ResponseWrapper(localName = "getResponse", targetNamespace = "https://adwords.google.com/api/adwords/cm/v201302", className = "com.google.api.ads.adwords.jaxws.v201302.cm.MediaServiceInterfacegetResponse")
    public MediaPage get(
        @WebParam(name = "serviceSelector", targetNamespace = "https://adwords.google.com/api/adwords/cm/v201302")
        Selector serviceSelector)
        throws ApiException_Exception
    ;

    /**
     * 
     *         Uploads new media. Currently, you can only upload {@link Image} files.
     *         
     *         @param media A list of {@code Media} objects, each containing the data to
     *         be uploaded.
     *         @return A list of uploaded media in the same order as the argument list.
     *       
     * 
     * @param media
     * @return
     *     returns java.util.List<com.google.api.ads.adwords.jaxws.v201302.cm.Media>
     * @throws ApiException_Exception
     */
    @WebMethod
    @WebResult(name = "rval", targetNamespace = "https://adwords.google.com/api/adwords/cm/v201302")
    @RequestWrapper(localName = "upload", targetNamespace = "https://adwords.google.com/api/adwords/cm/v201302", className = "com.google.api.ads.adwords.jaxws.v201302.cm.MediaServiceInterfaceupload")
    @ResponseWrapper(localName = "uploadResponse", targetNamespace = "https://adwords.google.com/api/adwords/cm/v201302", className = "com.google.api.ads.adwords.jaxws.v201302.cm.MediaServiceInterfaceuploadResponse")
    public List<Media> upload(
        @WebParam(name = "media", targetNamespace = "https://adwords.google.com/api/adwords/cm/v201302")
        List<Media> media)
        throws ApiException_Exception
    ;

}
